# Class Time#getAllHolidaySchedules

Time

- Defined in: time.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Time#getAllHolidaySchedules(successCallback, errorCallback) Gets all HolidaySchedule List

## Class Detail

Time#getAllHolidaySchedules(successCallback, errorCallback)
Gets all HolidaySchedule List

    // Javascript code
    	function getAllHolidaySchedules () {
    		function successCb(cbObject) {
    			console.log("cbObject : " + JSON.stringify(cbObject));
    			for (var i = cbObject.holidayScheduleList.length-1; i>=0; i--) {
    				console.log("holidayScheduleList[" + i + "].startMonth : " + cbObject.holidayScheduleList[i].startMonth);
    				console.log("holidayScheduleList[" + i + "].startDay : " + cbObject.holidayScheduleList[i].startDay);
    				console.log("holidayScheduleList[" + i + "].endMonth : " + cbObject.holidayScheduleList[i].endMonth);
    				console.log("holidayScheduleList[" + i + "].endDay : " + cbObject.holidayScheduleList[i].endDay);
    			}
    		}
    		function failureCb(cbObject) {
    			var errorCode = cbObject.errorCode;
    			var errorText = cbObject.errorText;
    			console.log ("Error Code [" + errorCode + "]: " + errorText);
    		}
    		var time = new Time();
    		time.getAllHolidaySchedules(successCb, failureCb);
    	}

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  holidayScheduleList[] | Array | holiday schedule list
  holidayScheduleList[]._id | String | schedule id
  holidayScheduleList[].startMonth | Number | start month
  holidayScheduleList[].startDay | Number | start day
  holidayScheduleList[].endMonth | Number | end month
  holidayScheduleList[].endDay | Number | end day

See:
  Time.getHolidayScheduleMode()